Subject: Re: login: no shell: /bin/bash: Permission denied
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Thu, 07 Mar 2002 07:44:22 -0800
Newsgroups: gmane.os.cygwin

Corinna Vinschen wrote:

> On Wed, Mar 06, 2002 at 01:56:07PM -0800, Andrew DeFaria wrote:
> 
>>OK then, seems to me that su might be implementable by using a service 
>>that runs as SYSTEM and takes requests to switch user from user A to 
>>user B. Possible?
>>
> 
> Sure.  It's exactly the way the user switch is implemented in 2K/XP.

So then su can be implemented in Cygwin.

> 
>>Regardless, to me it's still would be a large security hole if all one 
>>needs to do is:
>>
>>$ echo "+" > ~/.rhosts
>>
>>to be able to abuse rsh to do something under somebody else's user ID is 
>>it not?
>>
> 
> It's the same on U*X.  If you don't care for the permissions of
> your home directory you're out of luck.

No it's not! As I've said repeatedly already a ~/.rhosts need not exist. Also, it does
not seem to matter if my home directory is locked down or not. If user A wishs to login
as user B and user A can create files in his own home directory (and even if he can't
since the presence of ~usera/.rhosts is not required) all user A needs to do is use
rsh with a -l userb parameter to execute commands as user B. This is not the same as
on Unix.

> And rsh is a dangerous service anyway.  If you don't want it,
> just remove the matching line in /etc/inetd.conf and use ssh.

Ah but I *want* rsh. I just want it to work correctly. :-)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/